Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
duongsatdn

Khoảng cách giữa hai dòng text khi dùng lệnh DT

Các bài được khuyến nghị

Tôi có một thắc mắc, mong mọi người giải đáp: Khi thực hiện lệnh DT, sau khi gõ dòng text thứ nhất và Enter để xuống hàng thì theo mặc định của CAD khoảng giãn dòng giữa hai dòng text là bao nhiêu so với chiều cao chữ? Muốn thay đổi giá trị này có được không và thực hiện như thế nào?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn đã viết nhầm: DT là lệnh ghi một dòng chữ đơn, không thể:"sau khi gõ dòng text thứ nhất và Enter để xuống hàng' như bạn đã viết được.

Chỉ có lệnh T là lệnh viết nhiều dòng chữ thì mới "Enter để xuống hàng" được

Theo tôi nghĩ CAD không có chức năng "giãn dòng" như Word, muốn giãn dòng chỉ có cách làm thủ công bằng Array một dòng chữ rồi chỉnh sừa...

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tôi không nhầm. Đồng ý với anh là lệnh DT là lệnh ghi dòng chữ đơn, nhưng gõ xong một dòng có thể enter để xuống hàng và viết tiếp dòng chữ đơn tiếp theo. Gõ liên tục 2 lần enter thì kết thúc lệnh. Khi đó kết quả nhận được là các dòng chữ đơn.

Lệnh T tương đương với lệnh MT.

Thanhks!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tôi không nhầm. Đồng ý với anh là lệnh DT là lệnh ghi dòng chữ đơn, nhưng gõ xong một dòng có thể enter để xuống hàng và viết tiếp dòng chữ đơn tiếp theo. Gõ liên tục 2 lần enter thì kết thúc lệnh. Khi đó kết quả nhận được là các dòng chữ đơn.

Lệnh T tương đương với lệnh MT.

Thanhks!

Đúng là ngớ ngẩn thật đấy! CAD từ 2004 đã có chức năng này,vậy mà bây giờ tôi mới biết, đúng là ksgia có khác. (Quen dùng theo CAD đời cũ). Trước đây tôi đã từng khuyên một bạn là hãy học ngay CAD đời mới, vì dùng CAD đời cũ sẽ quen tay khó sửa...Ngày trước tôi quen đi xe đạp không phanh- dùng phanh bằng dép lê xuống đường. Đến khi đi xe máy, có lần tôi đã thò chân xuống đường để phanh đấy.

Vẽ nhiều 3D trên CAD2007, vậy mà hôm vừa rồi tôi mới biết được lệnh vẽ 3D hình nón cụt xiên, qua bài viết của bạn ssg. ( hỏi về cách tính diện tích - Mục dành cho người mới bắt đầu)

 

Lệnh đó là Loft- lệnh này CAD2004 không có. Có lệnh này, việc vẽ 3D các hình dị dạng sẽ đơn giản hơn nhiều.

 

Cảm ơn bạn duongsatdn, đây là bài học kinh nghiệm hay, chắc tôi sẽ nhớ lâu.

Tử vi xem bói cho người

Số thầy thì để cho ruồi nó bâu...

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bằng 1/2Htext bác ạ, thay đổi biến này thì em chịu nhưng muốn dãn dòng thì bác dùng lisp của bác Hoành( sắp sếp text).

Có lẽ là chưa đúng bạn ạ. Tôi thử bằng cách gõ dòng text xong, dùng lệnh Explode Text của Menu Express để biến text thành các đối tượng line, pline, arc... và đo thử khoảng cách thì thấy không theo một quy tắc gì cả. (Tôi đã thử ở nhiều bản vẽ có tỉ lệ vẽ khác nhau)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Có lẽ là chưa đúng bạn ạ. Tôi thử bằng cách gõ dòng text xong, dùng lệnh Explode Text của Menu Express để biến text thành các đối tượng line, pline, arc... và đo thử khoảng cách thì thấy không theo một quy tắc gì cả. (Tôi đã thử ở nhiều bản vẽ có tỉ lệ vẽ khác nhau)

Theo em được biết thì khoảng cách này phụ thuộc theo từng loại font, mỗi loại có 1 khoảng cách xuống hàng khác nhau.

Ví dụ: Romans 1.62H, Arial 1.84H, Tahoma 1.66H, Time new roman 1.7H, Vni Avo 1.89H, Vni Helve 1.88H....

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tôi có một thắc mắc, mong mọi người giải đáp: Khi thực hiện lệnh DT, sau khi gõ dòng text thứ nhất và Enter để xuống hàng thì theo mặc định của CAD khoảng giãn dòng giữa hai dòng text là bao nhiêu so với chiều cao chữ? Muốn thay đổi giá trị này có được không và thực hiện như thế nào?

Bạn có thể làm được việc này nhưng bằng mẹo nhỏ này(nhờ vào Word)

11.bmp

Bạn vào Tools/options/files

ở mục Text Editor, Dictionary . . .. .bạn chọn Text Editor Application bạn chọn Internal và chọn nút Browse rồi chọn đến thư mục cài Word VD C/program/office/Word

sau đó OK

Lúc này khi bạn gõ lệnh Mtext thì Cad sẽ link màn hình soạn thảo văn bản sang Word khi đó bạn tha hồ mà trình bày văn bản.

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
mình đã làm theo rồi nhưng vẫn ko đánh được công thức toán lý hóa bạn à

 

Bạn làm theo cách này xem có được không : dùng lệnh ED > @.....

 

7h10.jpg

 

 

duongsatdn lại khoái bẻ ghi----------------------------------------(Khoảng cách giữa hai dòng text khi dùng lệnh DT)

Giữa hai dòng text trong khi chạy tầu.

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

xin chào mọi người ! Mình xin chia sẻ kinh nghiệm của mình về cách viết chữ Tiếng Việt có dấu trong bản vẽ Cad và có thể copy nó ra Word mà không bị lỗi Fonst như sau

-Mình dùng Unikey 4.0 để viết Tiếng Việt ,trong Word thì đặt ở chế độ Unikey dựng sẵn nhưng trong Cad thì lại phải chuyển sang chế độ VNI windows . Fonst chữ viết trong Cad phải là VNI-helve

 

xin chào mọi người ! Mình xin chia sẻ kinh nghiệm của mình về cách viết chữ Tiếng Việt có dấu trong bản vẽ Cad và có thể copy nó ra Word mà không bị lỗi Fonst như sau

-Mình dùng Unikey 4.0 để viết Tiếng Việt

a1-1.jpg

 

,trong Word thì đặt ở chế độ Unikey dựng sẵn

 

a2.jpg

 

nhưng trong Cad thì lại phải chuyển sang chế độ VNI windows

a3.jpg

 

. Fonst chữ viết trong Cad phải là VNI-helve

a4.jpg

 

a5.jpg

 

a6.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cảm ơn bạn.

Nhưng tôi dùng CAD2008 thấy copy text qua lại giữa Word và CAD không thấy trở ngại gì cả. (Kể cả chữ Việt trong CAD dùng lệnh DT lẫn MT)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
E đang dùng cad2007 mà muốn tạo kiểu số http://www.cadviet.com/upfiles/24.bmp này mà không được. Bác nào biết chỉ dùm, thanks!!

Đánh lệnh MTEXT (MTE) Gõ 2.^4. Bôi đen ^4 rồi kích chuột vào biểu tượng a/b -> OK là xong.

Chúc thành công. ^_^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Đánh lệnh MTEXT (MTE) Gõ 2.^4. Bôi đen ^4 rồi kích chuột vào biểu tượng a/b -> OK là xong.

Chúc thành công. ^_^

Cảm ơn Tue nhiều, chúc bạn năm mới may mắn :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Cảm ơn Tue nhiều, chúc bạn năm mới may mắn ^_^

Chào bạn baodenhp.

Bạn mới tham gia vào diễn đàn phải không?

Không cần post 1 bài tỏ ý cảm ơn. Chỉ cần tick nút Thanks ở dưới bài viết là được.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Đánh lệnh MTEXT (MTE) Gõ 2.^4. Bôi đen ^4 rồi kích chuột vào biểu tượng a/b -> OK là xong.

Chúc thành công. ^_^

Tue NV bạn có cách nào chỉnh chử tô đậm bằng Dtext ko????? Thanks :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chào bạn baodenhp.

Bạn mới tham gia vào diễn đàn phải không?

Không cần post 1 bài tỏ ý cảm ơn. Chỉ cần tick nút Thanks ở dưới bài viết là được.

Có cách nào gắn thuộc tính cho dòng text nhw vậy không???

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tôi có một thắc mắc, mong mọi người giải đáp: Khi thực hiện lệnh DT, sau khi gõ dòng text thứ nhất và Enter để xuống hàng thì theo mặc định của CAD khoảng giãn dòng giữa hai dòng text là bao nhiêu so với chiều cao chữ? Muốn thay đổi giá trị này có được không và thực hiện như thế nào?

Không biết bạn có câu trả lời chưa, theo mình biết khoảng cách này được tính từ điểm chèn của Text(mỗi text luôn có một điểm chèn +0 hoặc 1, 2 ,3 điểm căn chỉnh (Fit text) nữa) muốn biết tọa độ điểm này bạn dùng cú pháp lệnh list sau copy dán trực tiếp vào dòng lệnh(command)

(cdr(assoc 10 (entget(car(entsel"Chon Text muon tim diem chen")))))

với mỗi lần copy và enter lệnh bạn chọn một text nào đó và enter kết quả là tọa độ (x y z) của điểm chèn text đó Thực hiện lệnh trừ hai tọa độ y cho nhau của hai Text bạn có khoảng cách bạn cần. Chẳng hạn:

 

(- (nth 1 (cdr(assoc 10 (entget(car(entsel"Chon Text 1"))))))
  (nth 1 (cdr(assoc 10 (entget(car(entsel"Chon Text 2"))))))
)

Mình dùng các lệnh này trong list tự thêm một dòng Text vào hai dòng viết bằng DT, enter như bạn làm chi tiết list như sau

(defun themtext ( / b1 b2 delta point)
 (setq b1 (cdr(assoc 10 (entget(car(entsel"Chon Text 1")))))
   	b2 (cdr(assoc 10 (entget(car(entsel"Chon Text 2"))))))
 (setq delta (- (nth 1 b1) (nth 1 b2)))
 (setq point (list (nth 0 b1) (- (nth 1 b2) delta) 0))
 (command ".text" point pause)
 )
(defun c:adtext()(themtext))

Tên lệnh là ADTEXT hoặc bạn có thể sửa tùy ý lại

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×